Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.webdav.methods
Class AbstractWebDAVMethod

    java.lang.Object
      org.exist.http.webdav.methods.AbstractWebDAVMethod

All Implemented Interfaces:
  WebDAVMethod

Direct Known Subclasses:
  Copy, Delete, Get, Head, Lock, Mkcol, Move, Propfind, Put, Unlock

public abstract class AbstractWebDAVMethod
extends java.lang.Object
implements WebDAVMethod

Abstract base class for all WebDAV methods.

Author:
  wolf

Constructor Summary
`AbstractWebDAVMethod(BrokerPool pool)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.exist.http.webdav.WebDAVMethod
`process`

Constructor Detail

### AbstractWebDAVMethod

    public AbstractWebDAVMethod(BrokerPool pool)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.